//
//  DeviceInfoCell.h
//  BTDemo
//
//  Created by etek on 18/9/11.
//  Copyright (c) 2018年 ETEK. All rights reserved.
//

#import <UIKit/UIKit.h>


@protocol DeviceInfoCellDelegate <NSObject>
- (void)onButtonClick:(int)index;
@end

@interface DeviceInfoCell : UITableViewCell
@property (nonatomic, weak) id <DeviceInfoCellDelegate> mDelegate;

+ (instancetype)cellWithTableCell:(UITableView*)tableView tag:(int)tag;
- (void)updateCellInfo:(NSString*)name mac:(NSString*)mac rxinfo:(NSString*)rxinfo;
- (void)updateCellState:(NSString*)state;

@end
